%define name      xmp3burn
%define version   1.0
%define release   2mdk

Summary: MP3 to CD burner
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Archiving/Cd burning
URL: http://perso.wanadoo.es/ja_recio/xmp3burn/
Source: %{name}-1-0-en.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: tk perl mpg123 cdrecord

%description
With xmp3burn, you can record audio CDs from MP3 files without intermediate
files. It shows you information (title, length, compression, etc) about your
MP3 files, and checks them for errors before writing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n usr

%build

%install
rm -rf $RPM_BUILD_ROOT

# install binary
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 bin/xmp3burn  $RPM_BUILD_ROOT/usr/bin/xmp3burn

# install shared files
mkdir -p $RPM_BUILD_ROOT/usr/share/xmp3burn
install -m 644 share/xmp3burn/{README,config,icono.xpm,pinfo} \
  $RPM_BUILD_ROOT/usr/share/xmp3burn/
install -m 755 share/xmp3burn/{mp3check,quemar} \
  $RPM_BUILD_ROOT/usr/share/xmp3burn/
mkdir -p $RPM_BUILD_ROOT/usr/share/xmp3burn/MPEG
install -m 755 share/xmp3burn/MPEG/MP3Info.pm \
  $RPM_BUILD_ROOT/usr/share/xmp3burn/MPEG/

# install images
mkdir -p $RPM_BUILD_ROOT/usr/share/xmp3burn/imagenes
install -m 755 share/xmp3burn/imagenes/*.gif \
  $RPM_BUILD_ROOT/usr/share/xmp3burn/imagenes/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/xmp3burn"\
title="Xmp3burn"\
longtitle="record audio CD from MP3 "\
needs="x11"\
section="Applications/Archiving/Cd burning"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}   

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
/usr/share/xmp3burn/README
/usr/share/xmp3burn/MPEG/MP3Info.pm
/usr/share/xmp3burn/config
/usr/share/xmp3burn/icono.xpm
/usr/share/xmp3burn/mp3check
/usr/share/xmp3burn/pinfo
/usr/share/xmp3burn/quemar
/usr/share/xmp3burn/imagenes/Xmp3Burn.gif
/usr/share/xmp3burn/imagenes/abajo.gif
/usr/share/xmp3burn/imagenes/anadirpista.gif
/usr/share/xmp3burn/imagenes/arriba.gif
/usr/share/xmp3burn/imagenes/borrarpista.gif
/usr/share/xmp3burn/imagenes/burn.gif
/usr/share/xmp3burn/imagenes/nuevo.gif
%{_menudir}/*

%changelog
* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- build release
* Mon May 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- used srpm provided by <rufus.t.firefly@linux-mandrake.com>
* Tue May 02 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 
  - repacked with bzip2 tarball
* Tue May 02 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 
  - initial packaging (tgz file)
